{
  "name": "@slr-finance/uikit",
  "version": "0.0.28",
  "exports": {
    ".": {
      "types": "./dist/types/index.d.ts",
      "import": "./dist/uikit.js",
      "require": null
    },
    "./styles": "./dist/uikit.css"
  },
  "main": "./dist/uikit.js",
  "module": "./dist/uikit.mjs",
  "types": "./dist/types/index.d.ts",
  "files": [
    "dist",
    "*.d.ts"
  ],
  "engines": {
    "node": ">=16"
  },
  "type": "module",
  "sideEffects": true,
  "packageManager": "yarn@3.2.4",
  "scripts": {
    "generate-icons": "node --loader ts-node/esm ./scripts/generateIconsComponents.ts",
    "build": "yarn generate-icons && yarn build-js",
    "build-js": "node --loader ts-node/esm node_modules/.bin/webpack --config webpack.config.ts",
    "preview": "vite preview",
    "dev": "start-storybook -p 6006",
    "build-storybook": "build-storybook -s public"
  },
  "devDependencies": {
    "@babel/core": "7.20.2",
    "@storybook/addon-actions": "^6.5.12",
    "@storybook/addon-essentials": "^6.5.12",
    "@storybook/addon-interactions": "^6.5.12",
    "@storybook/addon-links": "^6.5.12",
    "@storybook/addon-postcss": "^2.0.0",
    "@storybook/testing-library": "^0.0.13",
    "@storybook/vue3": "^6.5.12",
    "@types/lodash.get": "4.4.7",
    "@types/node": "18.11.9",
    "@types/webpack": "5.28.0",
    "@vueuse/core": "9.5.0",
    "@vueuse/shared": "9.5.0",
    "babel-loader": "^8.2.5",
    "chromatic": "^6.10.5",
    "css-minimizer-webpack-plugin": "4.2.2",
    "json": "^11.0.0",
    "lodash.get": "4.4.2",
    "mini-css-extract-plugin": "2.7.0",
    "postcss": "8.4.19",
    "postcss-loader": "7.0.1",
    "storybook-tailwind-foundations": "^1.1.2",
    "svgo": "3.0.1",
    "tailwindcss": "3.2.4",
    "ts-loader": "9.4.1",
    "ts-node": "10.9.1",
    "typescript": "^4.9.3",
    "vue": "3.2.45",
    "vue-loader": "17.0.1",
    "vue-router": "4.1.6",
    "vue-style-loader": "4.1.3",
    "webpack": "5.75.0",
    "webpack-cli": "5.0.0"
  },
  "peerDependencies": {
    "@vueuse/core": "9.5.0",
    "@vueuse/shared": "9.5.0",
    "lodash.get": "4.4.2",
    "vue": "3.2.45",
    "vue-router": "4.1.5"
  }
}
